#385 Make on PPC OS X end with a Segmentation fault

3.1.2
closed
nobody
5
2012-08-14
2007-08-21
Anonymous
No

Hi all folks,
I try to configure/make ooRexx (3.1.2) on my PPC Mac OS X 10.4.8 System but I get only a segmentation fault in the make process.

Any idea what's going wrong.
Thanks for any help,
Lutz

Last make lines:
/bin/sh ./libtool --mode=link --tag=CXX g++ -g -O2 -g -O2 -DNOOPT -DPTHREAD_KERNEL -DSHARED -D_POSIX_THREAD -D_REENTRANT -DHIGHTID -D_GNU_SOURCE -DLINUX -DOPSYS_LINUX -o librexxutil.la -rpath /Users/lutz/rexx/lib/ooRexx -version-info 3:3:0 librexxutil_la-rexxutil.lo
g++ -dynamiclib -single_module -flat_namespace -undefined suppress -o .libs/librexxutil.3.0.3.dylib .libs/librexxutil_la-rexxutil.o -install_name /Users/lutz/rexx/lib/ooRexx/librexxutil.3.dylib -compatibility_version 4 -current_version 4.3
(cd .libs && rm -f librexxutil.3.dylib && ln -s librexxutil.3.0.3.dylib librexxutil.3.dylib)
(cd .libs && rm -f librexxutil.dylib && ln -s librexxutil.3.0.3.dylib librexxutil.dylib)
ar cru .libs/librexxutil.a librexxutil_la-rexxutil.o
ranlib .libs/librexxutil.a
creating librexxutil.la
(cd .libs && rm -f librexxutil.la && ln -s ../librexxutil.la librexxutil.la)
cp ./kernel/RexxClasses/.orx .
cp ./kernel/platform/unix/
.orx .
./rexx -i
make: *** [rexx.img] Segmentation fault

Discussion

  • Nobody/Anonymous

    Logged In: NO

    Hi again,
    in the "crash log" I find the following information.
    I don't know what's going wrong.
    Bye, Lutz

    rexx.crash.log:


    Host Name: Lutz-Maders-Computer
    Date/Time: 2007-08-21 19:10:33.187 +0200
    OS Version: 10.4.8 (Build 8L127)
    Report Version: 4

    Command: rexx
    Path: /Users/lutz/Desktop/ooRexx-3.1.2/.libs/rexx
    Parent: make [29911]

    Version: ??? (???)

    PID: 29157
    Thread: 0

    Exception: EXC_BAD_ACCESS (0x0001)
    Codes: KERN_INVALID_ADDRESS (0x0001) at 0x2c343749

    Thread 0 Crashed:
    0 librexx.3.dylib 0x0102ce68 RexxString::stringTrace() + 28 (StringClass.cpp:1080)
    1 librexx.3.dylib 0x0107e1e0 RexxHashTable::stringGet(RexxString) + 56 (RexxHashTable.hpp:114)
    2 librexx.3.dylib 0x010760fc RexxActivity::traceOutput(RexxActivation
    , RexxString) + 40 (RexxActivity.cpp:2336)
    3 librexx.3.dylib 0x01076778 RexxActivity::display(RexxDirectory
    ) + 188 (RexxActivity.cpp:954)
    4 librexx.3.dylib 0x01076aa8 RexxActivity::error(unsigned long) + 132 (RexxActivity.cpp:453)
    5 librexx.3.dylib 0x0109426c kernel_setup() + 28776 (Setup.cpp:1640)
    6 librexx.3.dylib 0x010948dc createImage() + 96 (Setup.cpp:1669)
    7 librexx.3.dylib 0x0108bbcc RexxInitialize + 668 (RexxStartup.cpp:338)
    8 rexx 0x00002940 main + 436 (rexx.cpp:150)
    9 rexx 0x00001fe8 _start + 344 (crt.c:272)
    10 rexx 0x00001e8c start + 60

    Thread 0 crashed with PPC Thread State 64:
    srr0: 0x000000000102ce68 srr1: 0x000000000000d030 vrsave: 0x0000000000000000
    cr: 0x22002424 xer: 0x0000000000000004 lr: 0x000000000102ce58 ctr: 0x00000000010b8668
    r0: 0x00000000010760fc r1: 0x00000000bfffbad0 r2: 0x00000000010cb888 r3: 0x000000002c343735
    r4: 0x000000000304be50 r5: 0x000000002c343735 r6: 0x0000000000000002 r7: 0x00000000000000ff
    r8: 0x0000000041580000 r9: 0x000000002c343755 r10: 0x00000000030509b0 r11: 0x0000000003050228
    r12: 0x00000000010b8668 r13: 0x00000000010bfcc0 r14: 0x00000000010bfcc4 r15: 0x00000000010bfd7c
    r16: 0x00000000010bfd9c r17: 0x00000000010bfba4 r18: 0x00000000010c0470 r19: 0x00000000010bfb74
    r20: 0x00000000010cb850 r21: 0x00000000010cb84c r22: 0x00000000010c0734 r23: 0x00000000010cb844
    r24: 0x00000000010cb864 r25: 0x00000000010cb848 r26: 0x00000000030501d0 r27: 0x000000000306b2b0
    r28: 0x00000000030501d0 r29: 0x000000000304be50 r30: 0x000000000304be50 r31: 0x000000000102ce58

    Binary Images Description:
    0x1000 - 0x2fff rexx /Users/lutz/Desktop/ooRexx-3.1.2/.libs/rexx
    0x44000 - 0x4dfff librexxapi.3.dylib /Users/lutz/Desktop/ooRexx-3.1.2/.libs/librexxapi.3.dylib
    0x1008000 - 0x10bbfff librexx.3.dylib /Users/lutz/Desktop/ooRexx-3.1.2/.libs/librexx.3.dylib
    0x8fe00000 - 0x8fe51fff dyld 45.3 /usr/lib/dyld
    0x90000000 - 0x901bcfff libSystem.B.dylib /usr/lib/libSystem.B.dylib
    0x90214000 - 0x90219fff libmathCommon.A.dylib /usr/lib/system/libmathCommon.A.dylib
    0x91424000 - 0x9142ffff libgcc_s.1.dylib /usr/lib/libgcc_s.1.dylib
    0x936fe000 - 0x9371ffff libmx.A.dylib /usr/lib/libmx.A.dylib
    0x955c5000 - 0x95636fff libstdc++.6.dylib /usr/lib/libstdc++.6.dylib

     
  • Nobody/Anonymous

    Logged In: NO

    Sorry,
    for questions send a Mail to
    lutz.mader (at) freenet.de

    Bye, Lutz

     
  • Mark Miesfeld

    Mark Miesfeld - 2007-09-01

    Logged In: YES
    user_id=191588
    Originator: NO

    Lutz,

    I was hoping that maybe René would see this bug and respond. Unfortunately I don't have access to a PPC Mac and can not offer much insight, other than this:

    Post your questions on how to build on the PPC Mac on the developer's list. It may be that René monitors that list, but not the bugs. He is your best bet to get immediate help.

    I know from a former post of his that he thought there was no problem building on the Mac. He said this in relation to a PPC build:

    "You could, of course, in the meantime build it yourself. The Mac must
    be one of the easiest platforms to build the interpreter on, because
    all you need is the OS and the Developers Toolkit, which is a free
    download from Apples developers website. Then, it is ./configure,
    make, make install.

    best regards,

    René Jansen."

    I will try to get access to a Mac and see if I can build 3.1.2. But - it will not be in the immmediate couple of days.

    In the meantime, you could do this. Start with a clean 3.1.2 source tree. Describe exactly the steps you are taking to build. I.e., are you doing a check out from svn or using a source package. List your complete ./configure command line. Capture all output from start to finish and put it in a file. Attach the file to this bug and I will review it to see if I can spot something. Hopefully, I will get a chance to try and compile on the Mac sometime this month.

    From your other bug that I closed:

    "Thanks for some help,
    Lutz

    p.s.
    Questions, send a Mail to
    lutz.mader (at) freenet.de"

    You should register with SourceForge. It is free and easy to do. That way you will automatically be notified to changes to your bug reports.

     
  • Lutz

    Lutz - 2007-09-05

    Logged In: YES
    user_id=1881863
    Originator: NO

    Hi all folks,
    with a look to the file SharedMemorySupport.h (2007 Mar 27 21:49, 21:49:03) from ./kernel/platform/unix the shmmax should be 256MB or above, I think?!

    I check the SharedMemory settings, with sysctl -a kern.sysv
    kern.sysv.shmmax: 335544320
    kern.sysv.shmmin: 1
    kern.sysv.shmmni: 32
    kern.sysv.shmseg: 16
    kern.sysv.shmall: 327680
    kern.sysv.semmni: 87381
    kern.sysv.semmns: 87381
    kern.sysv.semmnu: 87381
    kern.sysv.semmsl: 87381
    kern.sysv.semume: 10
    these are the values from the ReadMe file from the OS X Package build by René Vincent Jansen, but not documented in the INSTALL file from the tar archive.

    I use configure, make to build ooRexx from a restored tar archive, the ooRexx 3.1.2 tar archive from sourceforge (5570073 Bytes, 2007 Apr 20 19:59).

    I append the configure and make output and the config.log file.

    Perhaps some know what's going wrong on my system. BTW, the ooRexx 3.1.1 OS X Package (Build from René Vincent Jansen) works well. I can do rexx -i to build the rexx.img file with the pre build version frrm sourceforge.

    Bye, Lutz

     
  • Lutz

    Lutz - 2007-09-05

    Logged In: YES
    user_id=1881863
    Originator: NO

    Sorry I can't append the output,
    I try to send the file to your sourceforge account.
    Lutz

    p.s.
    I register myself to sourceforge too!

     
  • Rene Vincent Jansen

    Logged In: YES
    user_id=375088
    Originator: NO

    Hi Lutz,

    I recently uploaded 3.1.2 for PPC; also, 3.2.0 is working quite well for PPC and Intel, so it will be available as planned, including a working BSF4Rexx.

    One thought on this: as you are experiencing a crash in a .dylib, the cause may be unrelated to shared memory settings. Only very recently it came to my attention that the build process was changed to not name the shared libraries .dylib anymore, but instead leaving the file name extension off. You might be linking against older libraries, as I was during my several months long BSF4Rexx nightmare. It pays off to clean your disk from any remains of older installations.

    Please let me know if this fixes it, so the bug can be closed by the project administrators before we release 3.2.0.

    best regards,

    René.

     
  • David Ashley

    David Ashley - 2007-10-02

    Logged In: YES
    user_id=931756
    Originator: NO

    The problem here had to do the the names of the libraries. All is fixed now according to the owner.

     
  • Lutz

    Lutz - 2007-10-02

    Logged In: YES
    user_id=1881863
    Originator: NO

    Hi René,
    sorry, but

    You might be linking against older libraries, as I was
    during my several months long BSF4Rexx nightmare. It pays off to clean your
    disk from any remains of older installations.

    I can't find an old OORexx Library on my system. The only Libraries I find are in the /opt/oorexx directory, but I delete the directory to compile my version. Also all
    old Libraries are deleted too.

    Bye, Lutz

    p.s.
    I use your Package today. This include BSF4Rexx to, something I can't find.

     
  • Mark Miesfeld

    Mark Miesfeld - 2009-07-02

    This bug was marked as fixed and then appears to have inadvertenly been reopened by the user adding another comment.

    Since I know we had a working installation package for Mac OS X for the 3.1.2 release, the issue was obviously fixed. (Probably user error to begin with.) So, I'm closing the bug.

     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks